Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javassist.preproc
Class Compiler

    java.lang.Object
      |
      +--javassist.preproc.Compiler

public class Compiler
extends java.lang.Object

This is a preprocessor for Java source programs using annotated import declarations.

     import class-name by assistant-name [(arg1, arg2, ...)]

To process this annotation, run this class as follows:

     java javassist.preproc.Compiler sample.j

This command produces `sample.java`, which only includes regular import declarations. Also, the Javassist program specified by assistant-name is executed so that it produces class files under the `./tmpjvst` directory. The class specified by assistant-name must implement `javassist.preproc.Assistant`.

See Also:
  `Assistant`

Constructor Summary
`Compiler(java.lang.String inputname)` Constructs a `Compiler` with a source file.

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `process()` Starts preprocessing.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Compiler

    public Compiler(java.lang.String inputname)
             throws CannotCompileException

  Constructs a `Compiler` with a source file.

Parameters:
  `inputname` - the name of the source file.

Method Detail

### process

    public void process()
                 throws java.io.IOException,
                        CannotCompileException

  Starts preprocessing.

    `java.io.IOException`
    `CannotCompileException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Javassist, a Java-bytecode translator toolkit. Copyright (C) 1999-2003 Shigeru Chiba. All Rights Reserved.